QScintilla: QsciLexerMakefile Class Reference

# QsciLexerMakefile Class Reference

The QsciLexerMakefile class encapsulates the Scintilla Makefile lexer. More...

`#include <qscilexermakefile.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, Preprocessor = 2,
  Variable = 3, Operator = 4, Target = 5,
  Error = 9
  }

## Public Member Functions

- QsciLexerMakefile (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerMakefile ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- QString description (int style) const

## Detailed Description

The QsciLexerMakefile class encapsulates the Scintilla Makefile lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Makefile lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Preprocessor | A pre-processor directive.
  Variable | A variable.
  Operator | An operator.
  Target | A target.
  Error | An error.

## Constructor & Destructor Documentation

QsciLexerMakefile::QsciLexerMakefile | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QsciLexerMakefile with parent parent and name name. parent is typically the QsciScintilla instance.

virtual QsciLexerMakefile::~QsciLexerMakefile | ( |  | ) | `[virtual]`

Destroys the QsciLexerMakefile instance.

## Member Function Documentation

const char* QsciLexerMakefile::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerMakefile::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerMakefile::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

bool QsciLexerMakefile::defaultEolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

QFont QsciLexerMakefile::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexer.

QColor QsciLexerMakefile::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

QString QsciLexerMakefile::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.